For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cross Reference Lookups

List Cross Reference Lookups

get

Retrieves a paginated list of cross reference lookups. Can be filtered by name.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/cross-reference-lookups
GET /api/v1/cross-reference-lookups HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "cross_reference_lookup_template_id": 1,
      "name": "My Example",
      "description": "A description of the resource",
      "default_value": "example_default_value",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "deleted_at": "2025-01-15T10:30:00.000000Z",
      "left_value": "example_left_value",
      "right_value": "example_right_value",
      "cross_reference_lookup_values": []
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/cross-reference-lookups",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/cross-reference-lookups?page=1",
    "last": "https://api.example.com/api/v1/cross-reference-lookups?page=1",
    "prev": null,
    "next": null
  }
}

Create Cross Reference Lookup

post

Creates a new cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Body
descriptionstringRequired
default_valuestring · nullableOptional
namestringRequired
Responses
200

Successful response

application/json
post/api/v1/cross-reference-lookups
POST /api/v1/cross-reference-lookups HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "description": "A description of the resource",
  "default_value": "example_default_value",
  "name": "My Example"
}
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Install Cross Reference Lookup

post

Installs a standard cross reference lookup from a template, such as ISO currency code or country code conversions.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
crossReferenceLookupTemplatestringRequired

The crossReferenceLookupTemplate identifier.

Responses
200

Successful response

application/json
objectOptional
post/api/v1/cross-reference-lookups/{crossReferenceLookupTemplate}/install
POST /api/v1/cross-reference-lookups/{crossReferenceLookupTemplate}/install HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}

Upload Cross Reference Lookup

post

Uploads a given cross reference lookup to your private marketplace.

This operation requires administrator permissions. If you are authorising requests with an API key, this request won't work (company-level API keys are associated with manager-level permissions). If you are an administrator, you can use OAuth 2 credentials to complete this operation. For more information please see our Authentication section.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
crossReferenceLookupstringRequired

The crossReferenceLookup identifier.

Body
privatestringOptional
Responses
200

Successful response

application/json
objectOptional
post/api/v1/cross-reference-lookups/{crossReferenceLookup}/upload
POST /api/v1/cross-reference-lookups/{crossReferenceLookup}/upload HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "private": "example_private"
}
{
  "message": "string"
}

Get Cross Reference Lookup

get

Retrieves the details of a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[name]stringOptional

Filter results by name.

filter[id]stringOptional

Filter results by id.

filter[,]stringOptional

Filter results by ,.

includestringOptional

Comma-separated list of relationships to include. Available: crossReferenceLookupValues

sortstringOptional

Sort field. Prefix with - for descending. Available: name

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/cross-reference-lookups/{cross_reference_lookup}
GET /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Update Cross Reference Lookup

put

Updates an existing cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
descriptionstringOptional
default_valuestring · nullableOptional
namestringOptional
Responses
200

Successful response

application/json
put/api/v1/cross-reference-lookups/{cross_reference_lookup}
PUT /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "description": "A description of the resource",
  "default_value": "example_default_value",
  "name": "My Example"
}
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Delete Cross Reference Lookup

delete

Permanently deletes a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/cross-reference-lookups/{cross_reference_lookup}
DELETE /api/v1/cross-reference-lookups/{cross_reference_lookup} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Clear Cross Reference Lookup

post

Removes all values from a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
200

Successful response

No content

post/api/v1/cross-reference-lookups/{cross_reference_lookup}/clear
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/clear HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*

No content

List Cross Reference Lookup Values

get

Retrieves a paginated list of values for a specific cross reference lookup. Can be filtered by left_value and right_value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "id": 1,
      "cross_reference_lookup_template_id": 1,
      "name": "My Example",
      "description": "A description of the resource",
      "default_value": "example_default_value",
      "created_at": "2025-01-15T10:30:00.000000Z",
      "updated_at": "2025-01-15T10:30:00.000000Z",
      "deleted_at": "2025-01-15T10:30:00.000000Z",
      "left_value": "example_left_value",
      "right_value": "example_right_value",
      "cross_reference_lookup_values": []
    }
  ],
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values",
    "per_page": 25,
    "to": 1,
    "total": 1
  },
  "links": {
    "first": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values?page=1",
    "last": "https://api.example.com/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values?page=1",
    "prev": null,
    "next": null
  }
}

Create Cross Reference Lookup Value

post

Creates a new value for a specific cross reference lookup.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
200

Successful response

application/json
post/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "left_value": "example_left_value",
  "right_value": "example_right_value"
}
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Import Cross Reference Lookup Value

post

Imports values into a specific cross reference lookup from a CSV file containing left_value and right_value columns.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Body
values_filestringRequired
Responses
200

Successful response

application/json
objectOptional
post/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/import
POST /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/import HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37

{
  "values_file": "example_values_file"
}
{}

Get Cross Reference Lookup Value

get

Retrieves the details of a specific cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Query parameters
filter[cross_reference_lookup_id]stringOptional

Filter results by cross_reference_lookup_id.

filter[left_value]stringOptional

Filter results by left_value.

filter[right_value]stringOptional

Filter results by right_value.

sortstringOptional

Sort field. Prefix with - for descending. Available: cross_reference_lookup_id, left_value, right_value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
200

Successful response

application/json
get/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Update Cross Reference Lookup Value

put

Updates an existing cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Body
left_valuestring · nullableOptional
right_valuestring · nullableOptional
Responses
200

Successful response

application/json
put/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}
PUT /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "left_value": "example_left_value",
  "right_value": "example_right_value"
}
{
  "data": {
    "id": 1,
    "cross_reference_lookup_template_id": 1,
    "name": "My Example",
    "description": "A description of the resource",
    "default_value": "example_default_value",
    "created_at": "2025-01-15T10:30:00.000000Z",
    "updated_at": "2025-01-15T10:30:00.000000Z",
    "deleted_at": "2025-01-15T10:30:00.000000Z",
    "left_value": "example_left_value",
    "right_value": "example_right_value",
    "cross_reference_lookup_values": []
  }
}

Delete Cross Reference Lookup Value

delete

Permanently deletes a specific cross reference lookup value.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

cross_reference_lookup_valuestringRequired

The cross reference lookup value identifier.

Responses
200

Successful response

application/json
messagestringOptional
delete/api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value}
DELETE /api/v1/cross-reference-lookups/{cross_reference_lookup}/cross-reference-lookup-values/{cross_reference_lookup_value} HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "message": "Action completed successfully."
}

Download Cross Reference Lookup

get

Triggers the download of a specific cross reference lookup as a CSV file with left_value and right_value columns. The file is added to the File Downloads section in General Settings.

Authorizations
AuthorizationstringRequired

API key passed in the Authorization header. Format: <api-key>

Path parameters
cross_reference_lookupstringRequired

The cross reference lookup identifier.

Responses
200

Successful response

application/json
objectOptional
get/api/v1/cross-reference-lookups/{cross_reference_lookup}/download
GET /api/v1/cross-reference-lookups/{cross_reference_lookup}/download HTTP/1.1
Host: core.wearepatchworks.com
Authorization: YOUR_API_KEY
Accept: */*
{}

Last updated

Was this helpful?